Bug 1304217 - Review Request: python-latexcodec - Lexer and codec to work with LaTeX code in Python
Review Request: python-latexcodec - Lexer and codec to work with LaTeX code i...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312410
  Show dependency treegraph
 
Reported: 2016-02-02 22:26 EST by Jerry James
Modified: 2016-03-05 10:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 10:58:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pikachu.2014: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2016-02-02 22:26:43 EST
Spec URL: https://jjames.fedorapeople.org/python-latexcodec/python-latexcodec.spec
SRPM URL: https://jjames.fedorapeople.org/python-latexcodec/python-latexcodec-1.0.1-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: This package contains a lexer and codec to work with LaTeX code in Python.
Comment 1 Jiri Konecny 2016-02-11 12:04:02 EST
Please fix permissions for your links. They can't be reached. I'm getting 403 Forbidden.

If I'm right, you need to have public_html folder in your home directory on the fedorapeople.org server to be accessible from the outside.
Comment 2 Jerry James 2016-02-11 22:52:14 EST
I don't know what you are talking about.  I successfully used both links at work and at home.  My files are inside a public_html folder.  Everything appears to be fine from here.
Comment 3 Mohamed El Morabity 2016-02-11 23:07:05 EST
Everything's fine here also. I will review this pacckage BTW.
Comment 4 Jerry James 2016-02-11 23:10:28 EST
Thank you, Mohamed.  If you need something reviewed, let me know.
Comment 5 Jiri Konecny 2016-02-12 03:34:58 EST
It's working correctly now. Seems that there was an issue on my side. Sorry.
Comment 6 Mohamed El Morabity 2016-02-19 19:15:57 EST
The package looks quite fine at first sight :).
Just a few notes:
- about the project URL: maybe you should set it to https://github.com/mcmtroffaes/latexcodec/, as specified on the Pypy page. Not a blocker anyway :)
- I cant' find any Javascript code in the sources whereas you specified your package bundles jquery.

Here is the complete review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1167360 bytes in 90 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-latexcodec , python3-latexcodec
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-latexcodec-1.0.1-1.fc23.noarch.rpm
          python3-latexcodec-1.0.1-1.fc23.noarch.rpm
          python-latexcodec-1.0.1-1.fc23.src.rpm
python2-latexcodec.noarch: W: spelling-error Summary(en_US) codec -> codex, code, codes
python2-latexcodec.noarch: W: spelling-error %description -l en_US codec -> codex, code, codes
python3-latexcodec.noarch: W: spelling-error Summary(en_US) codec -> codex, code, codes
python3-latexcodec.noarch: W: spelling-error %description -l en_US codec -> codex, code, codes
python-latexcodec.src: W: spelling-error Summary(en_US) codec -> codex, code, codes
python-latexcodec.src: W: spelling-error %description -l en_US codec -> codex, code, codes
python-latexcodec.src:40: W: unversioned-explicit-provides bundled(jquery)
python-latexcodec.src:51: W: unversioned-explicit-provides bundled(jquery)
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-latexcodec (rpmlib, GLIBC filtered):
    python(abi)
    python-six

python3-latexcodec (rpmlib, GLIBC filtered):
    python(abi)
    python3-six



Provides
--------
python2-latexcodec:
    bundled(jquery)
    python-latexcodec
    python2-latexcodec

python3-latexcodec:
    bundled(jquery)
    python3-latexcodec



Source checksums
----------------
https://pypi.python.org/packages/source/l/latexcodec/latexcodec-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 001c91f1b43ba645ba50a6862c241e486ee72ca3dbcc1e765da31db26f1a221b
  CHECKSUM(SHA256) upstream package : 001c91f1b43ba645ba50a6862c241e486ee72ca3dbcc1e765da31db26f1a221b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1304217
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Once the last issue in my notes fixed/justified, I will approve your package ;)
Comment 7 Jerry James 2016-02-19 21:25:49 EST
Thank you very much for the review, Mohamed.

(In reply to Mohamed El Morabity from comment #6)
> - about the project URL: maybe you should set it to
> https://github.com/mcmtroffaes/latexcodec/, as specified on the Pypy page.
> Not a blocker anyway :)

Sure, I can make that change.

> - I cant' find any Javascript code in the sources whereas you specified your
> package bundles jquery.

It's in the documentation generated by sphinx.  If you look in the binary RPM, you will see it.  It is true that the source RPM contains no Javascript. :-)
Comment 8 Mohamed El Morabity 2016-02-19 21:52:17 EST
(In reply to Jerry James from comment #7)
> > - I cant' find any Javascript code in the sources whereas you specified your
> > package bundles jquery.
> 
> It's in the documentation generated by sphinx.  If you look in the binary
> RPM, you will see it.  It is true that the source RPM contains no
> Javascript. :-)
It's OK for me :). Then don't forgot to add also "bundle(js-underscore)" (underscore.js is not provided directly by sphinx).
Comment 9 Jerry James 2016-02-22 23:29:50 EST
Okay, finally got a few minutes to update the URL and add the underscore bundling Provides.  New URLs:

Spec URL: https://jjames.fedorapeople.org/python-latexcodec/python-latexcodec.spec
SRPM URL: https://jjames.fedorapeople.org/python-latexcodec/python-latexcodec-1.0.1-2.fc24.src.rpm
Comment 10 Mohamed El Morabity 2016-03-03 07:49:06 EST
Perfect :)

Package approved!
Comment 11 Jerry James 2016-03-04 15:59:18 EST
Thank you for the review, Mohamed.  New package request submitted.
Comment 12 Gwyn Ciesla 2016-03-04 17:23:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-latexcodec

Note You need to log in before you can comment on or make changes to this bug.